# Generated by Django 3.2.4 on 2021-06-22 16:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Patient',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('patient_id', models.PositiveIntegerField(verbose_name='Patient ID')),
                ('pat_pwd', models.CharField(help_text='If you do not yet have a personal password, or if you have lost it, please contact the office.', max_length=16, verbose_name='Personal Password')),
            ],
        ),
        migrations.CreateModel(
            name='Medication',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('med_name', models.CharField(blank=True, max_length=264, null=True, verbose_name='Drug name')),
                ('med_dosage', models.FloatField(blank=True, null=True, verbose_name='Dosage')),
                ('med_dosage_unit', models.PositiveSmallIntegerField(blank=True, choices=[(0, ''), (1, 'mg'), (2, 'g'), (3, 'ml')], default=1, null=True, verbose_name='Unit')),
                ('med_size', models.PositiveIntegerField(blank=True, null=True, verbose_name='Drug amount per pkg')),
                ('med_amount', models.PositiveIntegerField(blank=True, null=True, verbose_name='How many?')),
                ('med_deliver', models.PositiveSmallIntegerField(blank=True, choices=[(1, 'e-Card'), (2, 'Pickup at the office')], default=1, null=True, verbose_name='Delivery method')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status_closed', models.BooleanField(default=False)),
                ('patient', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='prescription.patient')),
            ],
        ),
    ]
